<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <script src="vida.js"></script>
    <script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js" integrity="sha512-gZwIG9x3wUXg2hdXF6+rVkLF/0Vi9U8D2Ntg4Ga5I5BZpVkVxlJWbSQtXPSiUTtC0TjtGOmxa1AJPuV0CPthew==" crossorigin=""></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <!--Leaflet css-->
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css" integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ==" crossorigin=""/>
    <link rel="stylesheet" href="mapa.css">
    <title> Vida de barrio </title>
  </head>
  <body>
    <header>
        <div class="nabvar navar-default" style="margin-bottom: 0">
          <div class="container-fluid text-center font-italic">
              <h1>Vida de barrio</h1>
          </div>
        </div>
    </header>
    <main>
      <div class="container-fluid">
        <div class="row">
          <div class="col">
            <div id="mapa"></div>
            <script>
              mapa();
            </script>   
            </div>
          </div>
      </div>
        <form>
            <div class="form-group col-md-6">
              <label for="evento">Evento</label>
              <input type="text"class="form-control" id="evento" placeholder="Ingrese evento">
            </div>
            <div class="form-group col-md-6">
              <label for="fecha">Fecha</label><br>
              <input type="date" class="form-control" id="fecha" placeholder="Ingrese la fecha">
            </div>
            <button onclick="store()" type="button">Eventos</button>
            <div id="evento1"></div>
            <div id="fecha1"></div>
            <script>
              var arreglo= [];
              var arreglo2= [];
              var i = 0;
              function store(){
                //evento
                var inputEvent= document.getElementById("evento");
                localStorage.setItem("evento", inputEvent.value);
                var valorGuardado = localStorage.getItem("evento");
                arreglo[i]=valorGuardado;
                //fecha
                var inputDate= document.getElementById("fecha");
                localStorage.setItem("fecha", inputDate.value);
                var fechaGuardada = localStorage.getItem("fecha");
                arreglo2[i]=fechaGuardada;
                i=i+1;
                
                document.getElementById("evento1").innerHTML = JSON.stringify(arreglo);
                document.getElementById("fecha1").innerHTML = JSON.stringify(arreglo2);
              }
            </script>
        </form>
    </main>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
  </body>
</html>